Intermittent browser/components/extensions/test/browser/test-oop-extensions/browser_ext_omnibox.js | Test timed out

RESOLVED FIXED

Status

WebExtensions
General
P2
normal
RESOLVED FIXED
a year ago
29 days ago

People

(Reporter: aryx, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [stockwell fixed:other])

MozReview Requests

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(2 attachments)

https://treeherder.mozilla.org/logviewer.html#?job_id=89644391&repo=autoland

No idea if this got more likely after bug 1353708 landed.

[task 2017-04-07T18:43:49.413443Z] 18:43:49     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_omnibox.js | Expected "on-input-changed-fired" to have fired with text: "t". - 
[task 2017-04-07T18:43:49.415683Z] 18:43:49     INFO - Buffered messages finished
[task 2017-04-07T18:43:49.417976Z] 18:43:49     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_omnibox.js | Test timed out - 
[task 2017-04-07T18:43:49.421677Z] 18:43:49     INFO - Not taking screenshot here: see the one that was previously logged
[task 2017-04-07T18:43:49.425076Z] 18:43:49     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_omnibox.js | no tasks awaiting on messages - Got ["on-input-entered-fired"], expected []
[task 2017-04-07T18:43:49.427617Z] 18:43:49     INFO - Stack trace:
[task 2017-04-07T18:43:49.431446Z] 18:43:49     INFO -     chrome://mochikit/content/browser-test.js:test_is:911
[task 2017-04-07T18:43:49.433584Z] 18:43:49     INFO -     chrome://mochikit/content/tests/SimpleTest/ExtensionTestUtils.js:ExtensionTestUtils.loadExtension/<:31
[task 2017-04-07T18:43:49.436041Z] 18:43:49     INFO -     chrome://mochikit/content/browser-test.js:Tester.prototype.nextTest<:437
[task 2017-04-07T18:43:49.438087Z] 18:43:49     INFO -     timeoutFn@chrome://mochikit/content/browser-test.js:817:9
[task 2017-04-07T18:43:49.440183Z] 18:43:49     INFO -     setTimeout handler*Tester_execTest@chrome://mochikit/content/browser-test.js:779:9
[task 2017-04-07T18:43:49.444526Z] 18:43:49     INFO -     Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:655:7
[task 2017-04-07T18:43:49.446718Z] 18:43:49     INFO -     SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:791:59
[task 2017-04-07T18:43:49.452233Z] 18:43:49     INFO - Not taking screenshot here: see the one that was previously logged
[task 2017-04-07T18:43:49.454517Z] 18:43:49     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_omnibox.js | Extension left running at test shutdown - 
[task 2017-04-07T18:43:49.457538Z] 18:43:49     INFO - Stack trace:
[task 2017-04-07T18:43:49.459378Z] 18:43:49     INFO -     chrome://mochikit/content/tests/SimpleTest/ExtensionTestUtils.js:ExtensionTestUtils.loadExtension/<:109
[task 2017-04-07T18:43:49.461382Z] 18:43:49     INFO -     chrome://mochikit/content/browser-test.js:Tester.prototype.nextTest<:437
[task 2017-04-07T18:43:49.464153Z] 18:43:49     INFO -     timeoutFn@chrome://mochikit/content/browser-test.js:817:9
[task 2017-04-07T18:43:49.467629Z] 18:43:49     INFO -     setTimeout handler*Tester_execTest@chrome://mochikit/content/browser-test.js:779:9
[task 2017-04-07T18:43:49.471282Z] 18:43:49     INFO -     Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:655:7
[task 2017-04-07T18:43:49.473251Z] 18:43:49     INFO -     SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:791:59
ugh, one thing in this test is SimpleTest.waitForExplicitFinish(); used with add_task, that may not be working as expected (bug 1129936). There is also no finish() call anywhere.

Another problem is that startInputSession doesn't wait for autocomplete to be done. It puts values and then checks gURLBar.popup.richlistbox.children immediately. It should probably do something like this
http://searchfox.org/mozilla-central/rev/78cefe75fb43195e7f5aee1d8042b8d8fc79fc70/browser/base/content/test/urlbar/head.js#159
to properly wait for the search to have returnes results before trying to use them.

Comment 2

a year ago
42 failures in 867 pushes (0.048 failures/push) were associated with this bug in the last 7 days. 

This is the #43 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 29
* mozilla-inbound: 6
* mozilla-central: 6
* try: 1

Platform breakdown:
* windows7-32-vm: 13
* osx-10-10: 9
* windows8-64: 7
* linux32: 7
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-04-03&endday=2017-04-09&tree=all
Comment hidden (mozreview-request)
I don't know if this solves the problem, but it's worth a try.
Whiteboard: [stockwell needswork]
Hm, unfortunately, even if this doesn't make things worse, it doesn't solve the problem:
https://treeherder.mozilla.org/logviewer.html#?job_id=90120933&repo=try&lineNumber=10029
The screenshow shows "test c" in the awesomebar. I hope someone with more knowledge about this test can chime in.
Based on where the test is failing, I think it might have to do with not waiting for the suggestions to be added here: http://searchfox.org/mozilla-central/source/browser/components/extensions/test/browser/browser_ext_omnibox.js#41. Do you know if _addMatch is asynchronous? If so, maybe we need to figure out a way to have it return a Promise which resolves once it's complete? What do you think?

Comment 8

a year ago
50 failures in 150 pushes (0.333 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 29
* mozilla-inbound: 15
* try: 4
* mozilla-central: 1
* graphics: 1

Platform breakdown:
* windows7-32-vm: 16
* linux64: 13
* osx-10-10: 8
* linux32: 8
* windows8-64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-04-10&endday=2017-04-10&tree=all

Comment 9

a year ago
50 failures in 153 pushes (0.327 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 28
* mozilla-inbound: 14
* mozilla-central: 5
* graphics: 2
* try: 1

Platform breakdown:
* windows7-32-vm: 15
* windows8-64: 11
* linux64: 10
* osx-10-10: 8
* linux32: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-04-11&endday=2017-04-11&tree=all
48 failures in 154 pushes (0.312 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 27
* mozilla-inbound: 12
* graphics: 5
* mozilla-central: 3
* try: 1

Platform breakdown:
* windows8-64: 11
* linux64: 11
* linux32: 11
* osx-10-10: 9
* windows7-32-vm: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-04-12&endday=2017-04-12&tree=all
(In reply to Matthew Wein [:mattw] from comment #7)
> Based on where the test is failing, I think it might have to do with not
> waiting for the suggestions to be added here:
> http://searchfox.org/mozilla-central/source/browser/components/extensions/
> test/browser/browser_ext_omnibox.js#41. Do you know if _addMatch is
> asynchronous? If so, maybe we need to figure out a way to have it return a
> Promise which resolves once it's complete? What do you think?

addMatch is synchronous, it invokes invalidate in the autocomplete widget, that invokes _appendCurrentResult...
all the process is synchronous, thus I don't think that's the problem :(
50 failures in 205 pushes (0.244 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 26
* mozilla-inbound: 15
* mozilla-central: 6
* graphics: 2
* try: 1

Platform breakdown:
* linux64: 13
* linux32: 12
* osx-10-10: 10
* windows8-64: 9
* windows7-32-vm: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-04-13&endday=2017-04-13&tree=all
is it possible to get a fix for this soon rather than later?  We have 250 failures this last week alone- if there is anything I could do to help, please let me know.
35 failures in 155 pushes (0.226 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 13
* mozilla-inbound: 9
* mozilla-central: 7
* graphics: 5
* try: 1

Platform breakdown:
* linux64: 11
* windows7-32-vm: 9
* linux32: 8
* osx-10-10: 5
* windows8-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-04-14&endday=2017-04-14&tree=all
May someone in the webext team have a look at this?
It's quite common (I hit it at every try run). I attached all the ideas I had, while that is probably something to do, it's not enough.
Flags: needinfo?(mwein)
(In reply to Marco Bonardo [::mak] from comment #1)
> ugh, one thing in this test is SimpleTest.waitForExplicitFinish(); used with
> add_task, that may not be working as expected (bug 1129936). There is also
> no finish() call anywhere.

waitForExplicitFinish is automatic when calling add_task. But browser tests and plain/chrome mochitests have separate waitForExplicitFinish functions, and the SimpleTest console monitors used to complain if you didn't call the SimpleTest version in browser chrome mochitests.
285 failures in 894 pushes (0.319 failures/push) were associated with this bug in the last 7 days. 

This is the #4 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 151
* mozilla-inbound: 73
* mozilla-central: 29
* graphics: 20
* try: 11
* oak: 1

Platform breakdown:
* linux64: 74
* windows7-32-vm: 64
* linux32: 53
* osx-10-10: 50
* windows8-64: 44

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-04-10&endday=2017-04-16&tree=all
25 failures in 100 pushes (0.25 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* mozilla-inbound: 10
* autoland: 10
* try: 3
* graphics: 2

Platform breakdown:
* osx-10-10: 11
* windows8-64: 5
* linux64: 4
* windows7-32-vm: 3
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-04-17&endday=2017-04-17&tree=all
Created attachment 8859225 [details] [diff] [review]
temporarily disable on debug/asan until we get a fix
Attachment #8859225 - Flags: review?(gbrown)
Comment on attachment 8859225 [details] [diff] [review]
temporarily disable on debug/asan until we get a fix

Review of attachment 8859225 [details] [diff] [review]:
-----------------------------------------------------------------

Be aware that there are some opt and pgo failures too. This should eliminate most failures, but a few will persist.
Attachment #8859225 - Flags: review?(gbrown) → review+

Comment 21

a year ago
Pushed by jmaher@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/6be239740d80
Intermittent browser/components/extensions/test/browser/test-oop-extensions/browser_ext_omnibox.js. temporarily disable on debug and asan. r=gbrown
temporarily disabling this, I assume that the fix that ::mak did will end up with a r+ soon and we can re-enable this test.  AS :gbrown pointed out we have opt/pgo failures (at a much lower rate), so we will see failures here, but continue to get coverage.
Keywords: leave-open
Whiteboard: [stockwell needswork] → [stockwell disabled]
Matt, please look into this ASAP. We really need this being tested properly on debug builds.
Assignee: nobody → mwein
Severity: normal → critical
Priority: -- → P1
(In reply to Joel Maher ( :jmaher) from comment #22)
> temporarily disabling this, I assume that the fix that ::mak did will end up
> with a r+ soon and we can re-enable this test.

my fix is likely correct by itself, but it won't fix the intermittent.
33 failures in 159 pushes (0.208 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 19
* mozilla-inbound: 7
* mozilla-central: 6
* graphics: 1

Platform breakdown:
* windows7-32-vm: 11
* windows8-64: 7
* osx-10-10: 6
* linux64: 4
* linux32: 4
* linux32-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-04-18&endday=2017-04-18&tree=all

Comment 27

a year ago
mozreview-review
Comment on attachment 8856440 [details]
Bug 1354681 - Intermittent timeout in browser_ext_omnibox.js.

https://reviewboard.mozilla.org/r/128400/#review134456
Attachment #8856440 - Flags: review?(mwein) → review+
when we land this fix, please reenable the test, basically remove the line added here:
https://hg.mozilla.org/mozilla-central/rev/6be239740d80

Comment 29

a year ago
Pushed by mak77@bonardo.net:
https://hg.mozilla.org/integration/autoland/rev/c5ab3b44dbf1
Intermittent timeout in browser_ext_omnibox.js. r=mattw
Just to be crystal clear and avoid misunderdtandings:

=> THIS HAS NOT FIX YET. MY PATCH DOES NOT FIX THE INTERMITTENT. <=

so leave-open stays.
thanks ::mak
82 failures in 817 pushes (0.1 failures/push) were associated with this bug in the last 7 days. 

This is the #4 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 41
* mozilla-inbound: 22
* mozilla-central: 8
* try: 5
* graphics: 5
* oak: 1

Platform breakdown:
* osx-10-10: 24
* windows7-32-vm: 21
* linux64: 15
* windows8-64: 14
* linux32: 7
* linux32-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-04-17&endday=2017-04-23&tree=all
1 failures in 892 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-06-19&endday=2017-06-25&tree=all
1 failures in 718 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-06-26&endday=2017-07-02&tree=all
1 failures in 656 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-07-03&endday=2017-07-09&tree=all
3 failures in 720 pushes (0.004 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 2
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-07-10&endday=2017-07-16&tree=all
19 failures in 822 pushes (0.023 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 9
* mozilla-inbound: 4
* pine: 3
* try: 2
* mozilla-central: 1

Platform breakdown:
* linux32: 10
* linux64: 7
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-07-17&endday=2017-07-23&tree=all
6 failures in 1008 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 3
* try: 1
* oak: 1
* autoland: 1

Platform breakdown:
* linux64: 2
* linux32: 2
* windows8-64: 1
* linux64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-07-24&endday=2017-07-30&tree=all
9 failures in 888 pushes (0.01 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 4
* mozilla-inbound: 3
* try: 2

Platform breakdown:
* linux64: 7
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-07-31&endday=2017-08-06&tree=all

Comment 47

11 months ago
5 failures in 901 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2

Platform breakdown:
* linux64: 3
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-08-07&endday=2017-08-13&tree=all

Comment 48

11 months ago
10 failures in 949 pushes (0.011 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 4
* mozilla-inbound: 3
* try: 1
* mozilla-central: 1
* mozilla-beta: 1

Platform breakdown:
* linux64: 5
* linux32: 3
* linux64-devedition: 1
* linux32-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-08-14&endday=2017-08-20&tree=all

Comment 49

11 months ago
20 failures in 908 pushes (0.022 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 15
* try: 3
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 6
* linux64-stylo: 4
* linux32: 4
* windows7-32: 2
* osx-10-10: 2
* linux64-devedition: 1
* linux32-stylo: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-08-21&endday=2017-08-27&tree=all
this picked up quite a bit, sitting around 20 failures per week, even this week:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681

this is primarily on linux+!debug.

lets keep an eye on this for now.

Comment 51

11 months ago
17 failures in 939 pushes (0.018 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 10
* mozilla-inbound: 4
* try: 1
* mozilla-central: 1
* mozilla-beta: 1

Platform breakdown:
* linux32-stylo: 6
* linux64: 5
* linux32: 2
* windows7-32-stylo: 1
* windows7-32: 1
* linux64-stylo: 1
* linux64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-08-28&endday=2017-09-03&tree=all
Assignee: matthewjwein → nobody

Comment 52

10 months ago
26 failures in 924 pushes (0.028 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 16
* mozilla-inbound: 5
* try: 3
* mozilla-central: 2

Platform breakdown:
* linux32: 8
* linux64-stylo-disabled: 5
* linux64: 5
* windows7-32-stylo-disabled: 3
* linux64-stylo: 2
* linux32-stylo-disabled: 2
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-09-04&endday=2017-09-10&tree=all

Comment 53

10 months ago
24 failures in 1032 pushes (0.023 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 8
* mozilla-inbound: 7
* autoland: 6
* try: 2
* mozilla-beta: 1

Platform breakdown:
* linux64: 9
* linux32: 5
* linux64-stylo-disabled: 4
* linux64-nightly: 2
* windows7-32: 1
* macosx64-stylo-disabled: 1
* linux32-nightly: 1
* linux32-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-09-11&endday=2017-09-17&tree=all

Comment 54

10 months ago
2 failures in 943 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-09-18&endday=2017-09-24&tree=all

Updated

10 months ago
Severity: critical → normal
Priority: P1 → P2
I re-enabled the test everywhere in Bug 1406860 with a tweak in the way it waits for matches. Let's see how it goes, I didn't see failures in a large number of retriggers.

In the worst case we can disable it again...
Depends on: 1406860
Whiteboard: [stockwell disabled]
Whiteboard: [stockwell disabled]
Joel, did you mean to change the whiteboard to [stockwell fixed] as opposed to [stockwell disabled]? The test is not disabled.
Flags: needinfo?(matthewjwein) → needinfo?(jmaher)
thanks for catching this, I made a mistake here when I saw my patch from 7 months ago, I now see the fix in bug 1406860.
Flags: needinfo?(jmaher)
Keywords: leave-open
Whiteboard: [stockwell disabled] → [stockwell fixed:other]
I guess it makes sense to also mark this bug as fixed then. I will do so.
Status: NEW → RESOLVED
Last Resolved: 9 months ago
Component: WebExtensions: Untriaged → WebExtensions: General
Resolution: --- → FIXED

Comment 59

8 months ago
1 failures in 849 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* macosx64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1354681&startday=2017-11-06&endday=2017-11-12&tree=all

Updated

29 days ago
Product: Toolkit → WebExtensions
You need to log in before you can comment on or make changes to this bug.